curl --request GET \
--url https://api.alpha-1edtech.ai/ims/oneroster/rostering/v1p2/enrollments/{sourcedId} \
--header 'Authorization: Bearer <token>'{
"enrollment": {
"sourcedId": "<string>",
"status": "active",
"role": "administrator",
"primary": "false",
"beginDate": "2024-01-01",
"endDate": "2024-01-01",
"user": {
"href": "<string>",
"sourcedId": "<string>",
"type": "<string>",
"name": "<string>"
},
"class": {
"href": "<string>",
"sourcedId": "<string>",
"type": "<string>",
"name": "<string>"
},
"school": {
"href": "<string>",
"sourcedId": "<string>",
"type": "<string>",
"name": "<string>"
},
"course": {
"href": "<string>",
"sourcedId": "<string>",
"type": "<string>",
"name": "<string>"
},
"dateLastModified": "2023-11-07T05:31:56Z",
"metadata": {}
}
}Get a specific Enrollment on the service provider. If the corresponding record cannot be located, the api will return a 404 error code and message ‘Enrollment not found.’
curl --request GET \
--url https://api.alpha-1edtech.ai/ims/oneroster/rostering/v1p2/enrollments/{sourcedId} \
--header 'Authorization: Bearer <token>'{
"enrollment": {
"sourcedId": "<string>",
"status": "active",
"role": "administrator",
"primary": "false",
"beginDate": "2024-01-01",
"endDate": "2024-01-01",
"user": {
"href": "<string>",
"sourcedId": "<string>",
"type": "<string>",
"name": "<string>"
},
"class": {
"href": "<string>",
"sourcedId": "<string>",
"type": "<string>",
"name": "<string>"
},
"school": {
"href": "<string>",
"sourcedId": "<string>",
"type": "<string>",
"name": "<string>"
},
"course": {
"href": "<string>",
"sourcedId": "<string>",
"type": "<string>",
"name": "<string>"
},
"dateLastModified": "2023-11-07T05:31:56Z",
"metadata": {}
}
}Documentation Index
Fetch the complete documentation index at: https://docs.timeback.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
The unique identifier for the enrollment
Comma-separated list of fields to include in the response
"sourcedId,name"
Successful response
Represents an enrollment.
Show child attributes